/**
 * EF_001 部件模型
 *
 * @export
 * @class EF_001Model
 */
export default class EF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof EF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'hrarchivesid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'hrarchivesname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'hremployeename',
        prop: 'hremployeename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'archivescode',
        prop: 'archivescode',
        dataType: 'TEXT',
      },
      {
        name: 'hrorganizationname',
        prop: 'hrorganizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'archivesplace',
        prop: 'archivesplace',
        dataType: 'TEXT',
      },
      {
        name: 'archivesroom',
        prop: 'archivesroom',
        dataType: 'TEXT',
      },
      {
        name: 'activeflag',
        prop: 'activeflag',
        dataType: 'YESNO',
      },
      {
        name: 'hremployeeid',
        prop: 'hremployeeid',
        dataType: 'PICKUP',
      },
      {
        name: 'hrorganizationid',
        prop: 'hrorganizationid',
        dataType: 'PICKUP',
      },
      {
        name: 'hrarchivesid',
        prop: 'hrarchivesid',
        dataType: 'GUID',
      },
      {
        name: 'hrarchives',
        prop: 'hrarchivesid',
        dataType: 'FONTKEY',
      },
    ]
  }

}