import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "hremployeev_007": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_007",
            "viewtag": "015fb4ef7eeccdff1c16a30744372a8f"
        },
        "hrdutyv_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyV_001",
            "viewtag": "02571ad88a921ccc490d7b727b4f767d"
        },
        "hremployeev_006": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_006",
            "viewtag": "0276c23869eb449c9c9308aea58f8239"
        },
        "hromhierarchycatpickupgridview": {
            "title": "结构层次类别选择表格视图",
            "caption": "结构层次类别",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatPickupGridView",
            "viewtag": "045cc74f78937b52db67b8239361d181"
        },
        "hrpostpickupview": {
            "title": "职位数据选择视图",
            "caption": "职位",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostPickupView",
            "viewtag": "04c02737ae62a4f4c014607441ee0401"
        },
        "hrorgcontacteditview": {
            "title": "组织联系信息编辑视图",
            "caption": "组织联系信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactEditView",
            "viewtag": "0515a652f1ba4326ef610f1d98be95c8"
        },
        "hrcontractgridview": {
            "title": "合同表格（全部合同）",
            "caption": "合同信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractGridView",
            "viewtag": "0522eb326bd99a810463e71877f11c44"
        },
        "hrdutyeduv_002": {
            "title": "职务教育嵌入职务",
            "caption": "职务教育嵌入职务",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyEduV_002",
            "viewtag": "069985244f19f8c6f8e74e39ef573e9a"
        },
        "hrdutyeduv_001": {
            "title": "职务教育",
            "caption": "职务教育",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyEduV_001",
            "viewtag": "06dd873e0c67a6a416c76c9803fd80bd"
        },
        "hrorganizationpickupgridview": {
            "title": "组织选择表格视图",
            "caption": "组织",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationPickupGridView",
            "viewtag": "07e98f33b8d972b70860e615aaa10b89"
        },
        "hrtransferapplyv_002": {
            "title": "调入单位相关",
            "caption": "调动申请",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_002",
            "viewtag": "0b5f255d6581dcb130acf242a14cab06"
        },
        "hrarchivesv_001": {
            "title": "档案",
            "caption": "档案信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_001",
            "viewtag": "0b80553da51b3d2dbf107cf369e503a4"
        },
        "hrrewardgridview": {
            "title": "奖励惩罚表格视图",
            "caption": "奖励惩罚",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRRewardGridView",
            "viewtag": "0ca6b2b05e01dfdc50fcc397b55de86a"
        },
        "hrorganizationgridview": {
            "title": "组织",
            "caption": "组织",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationGridView",
            "viewtag": "0d8ac739134947cc5f6545d4041024de"
        },
        "hrtransferapplyeditview": {
            "title": "调动编辑",
            "caption": "调动申请",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyEditView",
            "viewtag": "0dbdd98c4946bd6e79feb18e32dd387b"
        },
        "hrtransferapplywfdynaexpgridview": {
            "title": "调动申请工作流导航表格视图",
            "caption": "调动申请",
            "viewtype": "DEWFDYNAEXPGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyWFDynaExpGridView",
            "viewtag": "10c50502a4eebb3c2f6373326db96fc5"
        },
        "hromhierarchycatgridview": {
            "title": "组织层次结构",
            "caption": "结构层次类别",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatGridView",
            "viewtag": "114f056047eddd92374e982356e59852"
        },
        "hrdutyedugridview": {
            "title": "职务教育表格视图",
            "caption": "职务教育",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyEduGridView",
            "viewtag": "11c1ce686ccb8c2a9bb66a8cde3b93be"
        },
        "hrdutycerteditview": {
            "title": "职务证书编辑视图",
            "caption": "职务证书",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyCertEditView",
            "viewtag": "12bdd00f130135bc6c85947eeaff67fb"
        },
        "hromhierarchycatv_002": {
            "title": "层次结构",
            "caption": "结构层次类别",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatV_002",
            "viewtag": "1316a3add8f01af03edf978ef21af6b1"
        },
        "hrcertificatev_001": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateV_001",
            "viewtag": "135e644817a41fccc4733e670e69be87"
        },
        "hrcertificatetabexpview": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateTabExpView",
            "viewtag": "1556b6299248ca949822a15645afc066"
        },
        "hromhierarchycattabexpview": {
            "title": "结构层次类别分页编辑",
            "caption": "层次结构",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatTabExpView",
            "viewtag": "1780a9ed77fb97f2cc3852cfdc55c32c"
        },
        "hrlegaldashboardview": {
            "title": "法人数据看板",
            "caption": "法人信息",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalDashboardView",
            "viewtag": "18769b2868ba1e27d9392575c10d6bfa"
        },
        "hromhierarchygridview": {
            "title": "组织层次结构表格视图",
            "caption": "组织层次结构",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyGridView",
            "viewtag": "188f3997d02da7fc34bac190ccd439e6"
        },
        "hrarchivesv_007": {
            "title": "档案",
            "caption": "档案信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_007",
            "viewtag": "1d3844e75211900a75e23efd0993ba25"
        },
        "hromhierarchycatmpickupview": {
            "title": "结构层次类别数据多项选择视图",
            "caption": "结构层次类别",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatMPickupView",
            "viewtag": "1ed4d12d0ea81013bc2a4f19a2bb17e7"
        },
        "hremployeev_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_001",
            "viewtag": "1fda62030d6149cb5ee6f088bc4f0aa7"
        },
        "hroperationunitv_002": {
            "title": "运营单位信息编辑",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitV_002",
            "viewtag": "26838780ace211d1714a2887e9039888"
        },
        "hroperationunitgridview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitGridView",
            "viewtag": "286e8ac9eca7b6eb8058fde93995db10"
        },
        "hroperationuniteditview": {
            "title": "运营单位信息编辑",
            "caption": "运营单位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitEditView",
            "viewtag": "28aca0d4ad43b8ef609172d9be9359c7"
        },
        "hrarchivesborrowv_002": {
            "title": "档案借阅",
            "caption": "档案借阅",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesBorrowV_002",
            "viewtag": "296fd870f472f231791563de41119283"
        },
        "hrorgaddressgridview": {
            "title": "组织地址表格视图",
            "caption": "组织地址",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressGridView",
            "viewtag": "2b64c322042da1808776304d21c90e45"
        },
        "hremployeev_004": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_004",
            "viewtag": "2be7fce8ded3576d64c338d4d1ee2e34"
        },
        "hromhierarchycatpickupview": {
            "title": "结构层次类别数据选择视图",
            "caption": "结构层次类别",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatPickupView",
            "viewtag": "2cc9f94bc50095005332a93eb120c828"
        },
        "hrdutycertv_001": {
            "title": "职务证书",
            "caption": "职务证书",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyCertV_001",
            "viewtag": "2ee255b61cfa5e9bb8991f1421e807c3"
        },
        "hrorgaddressv_001": {
            "title": "组织地址嵌入组织",
            "caption": "组织地址嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgAddressV_001",
            "viewtag": "3110aca6f6c27996e9874cfb924c569f"
        },
        "hrdutycertv_002": {
            "title": "职务证书嵌入职务",
            "caption": "职务证书嵌入职务",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyCertV_002",
            "viewtag": "3180604a9489c03131e6642e456cd5c0"
        },
        "hrarchivesv_009": {
            "title": "档案",
            "caption": "档案信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_009",
            "viewtag": "32399525785c11b3d942279a4974420d"
        },
        "hrpostv_003": {
            "title": "失效职位",
            "caption": "职位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_003",
            "viewtag": "3274463a5fe4c1bcb99fee2240c044ed"
        },
        "hrpostv_002": {
            "title": "空缺职位",
            "caption": "职位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_002",
            "viewtag": "3b1d535a219b7256d7ada3a1a7f5120d"
        },
        "hrlegalgridview": {
            "title": "法人",
            "caption": "法人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalGridView",
            "viewtag": "41036146909ab3f28ff59b80370514b2"
        },
        "hrarchivesv_003": {
            "title": "档案信息",
            "caption": "档案信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_003",
            "viewtag": "4577fe920c1f8dc9da44a0cab28ca33b"
        },
        "hrarchiveseditview": {
            "title": "档案编辑",
            "caption": "档案信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesEditView",
            "viewtag": "4726bc4ee402aed771ecabe7a6ecdaae"
        },
        "pim": {
            "title": "人力资源管理",
            "caption": "基础管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "PIM",
            "viewtag": "49CD8BAE-D640-4816-8313-5D8609BB0041"
        },
        "hromhierarchyeditview": {
            "title": "组织层次结构编辑视图",
            "caption": "组织层次结构",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyEditView",
            "viewtag": "4a61d63445d504cab11cf5f45536b314"
        },
        "hrtechnicaltitleeditview": {
            "title": "职称信息编辑视图",
            "caption": "职称信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleEditView",
            "viewtag": "4b8327f8aa5091583a16b09a241c8866"
        },
        "hrresearcheditview": {
            "title": "科研成果编辑视图",
            "caption": "科研成果",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRResearchEditView",
            "viewtag": "4c8b91dfba0083a9d82b7a2093ea496c"
        },
        "hrrewardeditview": {
            "title": "奖励惩罚编辑视图",
            "caption": "奖励惩罚",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRRewardEditView",
            "viewtag": "4dbef803fa944d9240d03d18a15969f1"
        },
        "hrpostrelv_001": {
            "title": "职位关系表格视图",
            "caption": "直接上级职位",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRPostRelV_001",
            "viewtag": "4f567c340cbb4271d44543b278d29d0f"
        },
        "hrarchivesborrowv_001": {
            "title": "档案借阅",
            "caption": "档案借阅",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesBorrowV_001",
            "viewtag": "4ff919a1d1c42560df859b49cf8a1542"
        },
        "hrdutydashboardview": {
            "title": "职务看板",
            "caption": "职务看板",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyDashboardView",
            "viewtag": "532833b3a07947f04a46adcc957a0ca6"
        },
        "hrorgcontactgridview": {
            "title": "组织联系信息表格视图",
            "caption": "组织联系信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgContactGridView",
            "viewtag": "53de2c13a619e20769cdc9dbfa10e1a5"
        },
        "hrdutyv_002": {
            "title": "职务信息",
            "caption": "职务信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyV_002",
            "viewtag": "54e70bcf034bf3715d121537bc8d1d77"
        },
        "hrarchivesv_005": {
            "title": "档案信息",
            "caption": "档案信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_005",
            "viewtag": "5748c15cb24deb3f3fb24d68668711dd"
        },
        "hrcertificatev_002": {
            "title": "证书信息",
            "caption": "证书信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateV_002",
            "viewtag": "57dbe1035c2366090a02ceb7c8269ebb"
        },
        "hrtransferapplyv_001": {
            "title": "拟稿",
            "caption": "调动申请",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_001",
            "viewtag": "5a233f63f736e87b700460e378650f45"
        },
        "hrpostpickupgridview": {
            "title": "职位选择表格视图",
            "caption": "职位",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostPickupGridView",
            "viewtag": "5bd45b52782142f58a041e31e633921c"
        },
        "hrpostv_004": {
            "title": "职位编辑视图",
            "caption": "职位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_004",
            "viewtag": "5efdfaf722e7585dfd685922b16f7f88"
        },
        "hremployeev_002": {
            "title": "员工信息",
            "caption": "员工信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_002",
            "viewtag": "621c665c0d1c18948c754c33f0bd86e8"
        },
        "hrdutyeditview": {
            "title": "职务信息",
            "caption": "职务信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyEditView",
            "viewtag": "62468a4082892d924fe855427a8cd0cb"
        },
        "hrcertificatev_003": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateV_003",
            "viewtag": "632257149a8a208534a693b9cb46ab05"
        },
        "hrdistributiongridview": {
            "title": "工作人员分配表格视图",
            "caption": "工作人员分配",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDistributionGridView",
            "viewtag": "6395cba44e6d6151f19e543b55d88845"
        },
        "hrarchivesmovev_002": {
            "title": "调档记录",
            "caption": "调档记录",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesMoveV_002",
            "viewtag": "682bfe80bc00d04530e87b55c178c6f3"
        },
        "hrcertificategridview": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateGridView",
            "viewtag": "685cd7da1331d604d0382b8d64d90664"
        },
        "hrpostrelgridview": {
            "title": "职位关系表格视图",
            "caption": "职位关系",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostRelGridView",
            "viewtag": "696bc6afaa29aebaa40d4710aa3d7a57"
        },
        "hrworkrecordgridview": {
            "title": "工作履历表格视图",
            "caption": "工作履历",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRWorkRecordGridView",
            "viewtag": "6a471a103db6b546ec900041100febb7"
        },
        "hrdistributionv_001": {
            "title": "工作人员分配嵌入职位",
            "caption": "工作人员分配",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRDistributionV_001",
            "viewtag": "6be35c13c046c1356e5ceca8a13c355b"
        },
        "hrpostreleditview": {
            "title": "职位关系编辑视图",
            "caption": "职位关系",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostRelEditView",
            "viewtag": "6cf9411c3f3597947dfee8dad2968182"
        },
        "hrdutyskillv_002": {
            "title": "职务技能嵌入职务",
            "caption": "职务技能嵌入职务",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRDutySkillV_002",
            "viewtag": "6d4cab857af2830b37515c2015a40e5f"
        },
        "hrcertificatev_006": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateV_006",
            "viewtag": "6d7c584d45600193af8a7e54080767c8"
        },
        "hrfamilygridview": {
            "title": "家庭情况表格视图",
            "caption": "家庭情况",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRFamilyGridView",
            "viewtag": "6fed66b17754f0251f020b82b375c009"
        },
        "hrcontracttabexpview": {
            "title": "合同",
            "caption": "合同",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractTabExpView",
            "viewtag": "71c5da4234a5c4d3e46c572556dd52d9"
        },
        "hreducationeditview": {
            "title": "教育信息编辑视图",
            "caption": "教育信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREducationEditView",
            "viewtag": "729574e98dfd7e0353945a39686136ce"
        },
        "hremployeepickupgridview": {
            "title": "员工选择表格视图",
            "caption": "员工",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeePickupGridView",
            "viewtag": "73f27ddcf2a626455aa88f4a052db014"
        },
        "hrorgcontactv_001": {
            "title": "组织联系信息嵌入组织",
            "caption": "组织联系信息嵌入组织",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "Base",
            "viewname": "HROrgContactV_001",
            "viewtag": "7692fb3c8e0208004f100d2da5db17e0"
        },
        "hromhierarchypickupview": {
            "title": "组织层次结构数据选择视图",
            "caption": "组织层次结构",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyPickupView",
            "viewtag": "7933350eca0f8dbcb5402928a860c4ec"
        },
        "hrposteditview": {
            "title": "职位编辑视图",
            "caption": "职位",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostEditView",
            "viewtag": "7ad274dc8cc9e8f7e464195ca0953dc3"
        },
        "hrlanguageabilitygridview": {
            "title": "语言能力表格视图",
            "caption": "语言能力",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRLanguageAbilityGridView",
            "viewtag": "7bef45fc4e0ec53b6a6925262c3ea133"
        },
        "hromhierarchypickupgridview": {
            "title": "组织层次结构选择表格视图",
            "caption": "组织层次结构",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyPickupGridView",
            "viewtag": "811880336a6c1c1beeb894c91404544b"
        },
        "hrorganizationmpickupview": {
            "title": "组织数据多项选择视图",
            "caption": "组织",
            "viewtype": "DEMPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationMPickupView",
            "viewtag": "816f119be45e16d278809f590fb65029"
        },
        "hrtechnicaltitlev_001": {
            "title": "职称信息表格视图",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_001",
            "viewtag": "84cfd4498b43e03549cdaba7c5d643ae"
        },
        "hrdutyskillgridview": {
            "title": "职务技能表格视图",
            "caption": "职务技能",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutySkillGridView",
            "viewtag": "8959a1a3f5b43dbc52182d6cf04f00a1"
        },
        "hrtransferapplyv_004": {
            "title": "调动快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_004",
            "viewtag": "8b1d8f8e62fead1d3bdc2ce1c3b76c65"
        },
        "hrarchivesv_002": {
            "title": "档案信息",
            "caption": "档案信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_002",
            "viewtag": "8bd2a4a14135c358985d4ff9b7ffb88e"
        },
        "hreducationoptionview": {
            "title": "教育信息",
            "caption": "教育信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREducationOptionView",
            "viewtag": "8db1cc9344908f2f9e2fb21f3849a539"
        },
        "hrtransferapplytabexpview": {
            "title": "调动",
            "caption": "调动",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyTabExpView",
            "viewtag": "8e90bfab442fc1c89453722dfe094408"
        },
        "hrtechnicaltitletabexpview": {
            "title": "职称",
            "caption": "职称",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleTabExpView",
            "viewtag": "8edb721608ec0094af042929943e498e"
        },
        "hrtransferapplyv_003": {
            "title": "调出单位相关",
            "caption": "调动申请",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_003",
            "viewtag": "8f1eeab3f9433ab34104930f5049c50a"
        },
        "hrorgaddresseditview": {
            "title": "组织地址编辑视图",
            "caption": "组织地址",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrgAddressEditView",
            "viewtag": "90f2bd2f58c482b25a1e1db0f8e4ca26"
        },
        "hremployeelistexpview": {
            "title": "员工信息",
            "caption": "员工信息",
            "viewtype": "DELISTEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeListExpView",
            "viewtag": "92826c47e3d2b905845fe1ad5c30be62"
        },
        "hrlegalv_002": {
            "title": "法人预览",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_002",
            "viewtag": "9420eeffff765c2a6e4ac27dfae7fb2d"
        },
        "hremployeegridview": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeGridView",
            "viewtag": "9559258a9c3ac118e15ead941b780682"
        },
        "hrcontractv_004": {
            "title": "合同表格（全部合同）",
            "caption": "合同信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractV_004",
            "viewtag": "9974f3026a0417dd6dd09a03b3303503"
        },
        "hremployeetabexpview": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeTabExpView",
            "viewtag": "997c27311a28f6ed4e41153c43a5f723"
        },
        "hrtrainingrecordeditview": {
            "title": "培训记录编辑视图",
            "caption": "培训记录",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTrainingRecordEditView",
            "viewtag": "9a109700b8b076cc83d40cdfc6ce4f96"
        },
        "hrdistributioneditview": {
            "title": "工作人员分配编辑视图",
            "caption": "工作人员分配",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDistributionEditView",
            "viewtag": "9e5d3f17ad97fd735b8abc637018301d"
        },
        "hrcontracteditview": {
            "title": "合同编辑",
            "caption": "合同信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractEditView",
            "viewtag": "a03a955d89ac96b26f80ca2caf2cc023"
        },
        "hrdutyskilleditview": {
            "title": "职务技能编辑视图",
            "caption": "职务技能",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutySkillEditView",
            "viewtag": "a54a950e4550856191ac9bb32f77b863"
        },
        "hremployeev_003": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_003",
            "viewtag": "a761b3f62ea851c3de0c6febb2df7fb3"
        },
        "hromhierarchycateditview": {
            "title": "结构层次类别编辑视图",
            "caption": "结构层次类别",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatEditView",
            "viewtag": "aa2c4d945f9d880dd836ebe74ca9f547"
        },
        "hrcontractv_002": {
            "title": "合同表格（全部合同）",
            "caption": "合同信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractV_002",
            "viewtag": "abd55a0a17441c2023ae3166816e2d20"
        },
        "hrtransferapplyv_005": {
            "title": "调动信息",
            "caption": "调动信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_005",
            "viewtag": "ae4f79297ff9cc4338e8a4c38011614d"
        },
        "hrdutycertgridview": {
            "title": "职务证书表格",
            "caption": "职务证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyCertGridView",
            "viewtag": "aeb8d0367c4a34ad420ba08085acc8ce"
        },
        "hrlegalv_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalV_001",
            "viewtag": "af1a0e288eecf89cd99ed798594e1753"
        },
        "hrarchivesv_008": {
            "title": "档案",
            "caption": "档案信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_008",
            "viewtag": "b0527570befbf06448caf276ca882838"
        },
        "hrpostv_001": {
            "title": "有效职位",
            "caption": "职位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_001",
            "viewtag": "b4b751d7088fd1c29aed976e9e9528b2"
        },
        "hrorganizationeditview": {
            "title": "组织编辑视图",
            "caption": "组织",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationEditView",
            "viewtag": "b4ef4b87eb87fc3a2a8479027d62ac4c"
        },
        "hrarchivesmovev_001": {
            "title": "调档记录",
            "caption": "调档记录",
            "viewtype": "DEGRIDVIEW9",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesMoveV_001",
            "viewtag": "b50ba73bdcf5631dc218cfb08097d534"
        },
        "hrcontractv_005": {
            "title": "合同信息",
            "caption": "合同信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractV_005",
            "viewtag": "b748e4bd87b9d77bfc24835a2e5e96c9"
        },
        "hrtransferapplyv_006": {
            "title": "调动申请编辑视图",
            "caption": "调动预览",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyV_006",
            "viewtag": "b867c0ac78993f1cdce1bc1495b815d4"
        },
        "hrtechnicaltitlev_003": {
            "title": "职称",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_003",
            "viewtag": "b877aa6189c441a473d0809993d8f3f7"
        },
        "hrdutytabexpview": {
            "title": "职务信息",
            "caption": "职务信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyTabExpView",
            "viewtag": "b90584e97a642bf5d5d8dac74217c6fc"
        },
        "hrdutygridview": {
            "title": "职务",
            "caption": "职务",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyGridView",
            "viewtag": "b9130f18de0b66cd31ecaddb5a841aae"
        },
        "hremployeeeditview": {
            "title": "员工信息",
            "caption": "员工信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeEditView",
            "viewtag": "b932c0eb66409c638c29ee27ba4fda37"
        },
        "hrworkrecordeditview": {
            "title": "工作履历编辑视图",
            "caption": "工作履历",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRWorkRecordEditView",
            "viewtag": "b9ea9f530fe3666a9eb4fc552ae76131"
        },
        "hremployeetreeexpview": {
            "title": "员工信息",
            "caption": "员工信息",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeTreeExpView",
            "viewtag": "ba512ad6a392dc170b1959cebd038fb8"
        },
        "hrtransferapplygridview": {
            "title": "调动申请表格视图",
            "caption": "调动申请",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyGridView",
            "viewtag": "bab6cc5c91fc2cc2559370e6c2656f0b"
        },
        "hrposttabexpview": {
            "title": "职位",
            "caption": "职位",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostTabExpView",
            "viewtag": "bae1de77dc5bd2584e2dcf7201a06495"
        },
        "hromhierarchytreeexpview": {
            "title": "组织层次结构树导航视图",
            "caption": "组织层级结构",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyTreeExpView",
            "viewtag": "bf1effbdf9fb9d7d2a1c9d281ab35441"
        },
        "hroperationunittabexpview": {
            "title": "运营单位",
            "caption": "运营单位",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitTabExpView",
            "viewtag": "bf8512a46ea22c59413ae598a88eda3a"
        },
        "hrlanguageabilityeditview": {
            "title": "语言能力编辑视图",
            "caption": "语言能力",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRLanguageAbilityEditView",
            "viewtag": "bffe15abbb6a8e5cc8b72099573611cb"
        },
        "hrarchivesgridview": {
            "title": "档案",
            "caption": "档案信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesGridView",
            "viewtag": "c01c4604589a2c171c4f41f2ac11f4e2"
        },
        "hrarchivesv_006": {
            "title": "档案",
            "caption": "档案",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_006",
            "viewtag": "c16477290fe18f68c65916e3cbee4a65"
        },
        "hrtransferapplypickupview": {
            "title": "调动申请数据选择视图",
            "caption": "调动申请",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyPickupView",
            "viewtag": "c1864ce75bf737394f9617bce064dbda"
        },
        "hrpostv_005": {
            "title": "职位快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_005",
            "viewtag": "c1a754fe9d4ff67c56d0bb4b6ae949be"
        },
        "hromhierarchycatdashboardview": {
            "title": "结构层次类别看板",
            "caption": "结构层次",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HROMHierarchyCatDashboardView",
            "viewtag": "c62ff001669cca98c0a2a7bc3383c775"
        },
        "hrtransferapplywfdynaeditview": {
            "title": "调动申请",
            "caption": "调动申请",
            "viewtype": "DEWFDYNAEDITVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyWFDynaEditView",
            "viewtag": "c8310acd7e65d023051725aac59122d9"
        },
        "hremployeedashboardview": {
            "title": "员工看板",
            "caption": "员工看板",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeDashboardView",
            "viewtag": "cb0f52a25a9ed151848e5f134307696c"
        },
        "hrcontractv_003": {
            "title": "合同表格（全部合同）",
            "caption": "合同信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractV_003",
            "viewtag": "cb76a18e2c82d318acd00a4ae7c63e8f"
        },
        "hreducationgridview": {
            "title": "教育信息表格视图",
            "caption": "教育信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREducationGridView",
            "viewtag": "cc825f424baa276e6a286963d999e03a"
        },
        "hrdistributionv_002": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDistributionV_002",
            "viewtag": "cd7f9e0b57fdfdf34307ce460137b152"
        },
        "hrresearchgridview": {
            "title": "科研成果表格视图",
            "caption": "科研成果",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRResearchGridView",
            "viewtag": "d0d5ecbe6b182e35765428d8f2f2e28f"
        },
        "hrpostv_006": {
            "title": "职位信息",
            "caption": "职位信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostV_006",
            "viewtag": "d2137112227c4243e95ffe9ef7eaafab"
        },
        "hrdutyskillv_001": {
            "title": "职务技能",
            "caption": "职务技能",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutySkillV_001",
            "viewtag": "d2411142d3398651fb50d214bcfc3e3d"
        },
        "hroperationunitv_001": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitV_001",
            "viewtag": "d32b549b3c49b790b092eca97d1de2c1"
        },
        "hrarchivesv_004": {
            "title": "档案看板",
            "caption": "档案信息",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesV_004",
            "viewtag": "d33bb4278ea65f691909636c691a0666"
        },
        "hrpostrelv_002": {
            "title": "快速新建",
            "caption": "快速新建",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostRelV_002",
            "viewtag": "d4d0e128d8c7e5c141f99540b62fd9bf"
        },
        "hrtechnicaltitlev_004": {
            "title": "职称",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_004",
            "viewtag": "d54508d9488ca69619bfd5c3b3cdbe74"
        },
        "hrpostgridview": {
            "title": "职位表格",
            "caption": "职位",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostGridView",
            "viewtag": "d5b65e4ae9fc38e66c7faf5698dc6776"
        },
        "hrtechnicaltitlegridview": {
            "title": "职称",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleGridView",
            "viewtag": "d6a51bb0caa43fb475fceed816e6a5aa"
        },
        "hrtransferapplydashboardview": {
            "title": "调动看板",
            "caption": "调动看板",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyDashboardView",
            "viewtag": "d716f5d8d637895f648204514830b12f"
        },
        "hrdutypickupgridview": {
            "title": "职务选择表格视图",
            "caption": "职务",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyPickupGridView",
            "viewtag": "de53ae7d577a526b3b268951df885868"
        },
        "hremployeev_005": {
            "title": "员工",
            "caption": "员工",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeeV_005",
            "viewtag": "df641376a477230f2dac638fe717516a"
        },
        "hrtechnicaltitlev_002": {
            "title": "职称信息",
            "caption": "职称信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_002",
            "viewtag": "df7e84808e509a1e80f47ab303d5f059"
        },
        "hrfamilyeditview": {
            "title": "家庭情况编辑视图",
            "caption": "家庭情况",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRFamilyEditView",
            "viewtag": "e09349c39faf8e8dbe63ac7be3aaa781"
        },
        "hrtechnicaltitlev_006": {
            "title": "职称",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_006",
            "viewtag": "e1747c09fadcb43bfea8ed31af8fea07"
        },
        "hroperationunitdashboardview": {
            "title": "运营单位信息看板",
            "caption": "运营单位",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "Base",
            "viewname": "HROperationUnitDashboardView",
            "viewtag": "e249cd84a7d955affe21832bbe41c40a"
        },
        "hrtechnicaltitlev_005": {
            "title": "职称",
            "caption": "职称信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTechnicalTitleV_005",
            "viewtag": "e36c61e72145dc742d684ba0de3f36d6"
        },
        "hrdutyedueditview": {
            "title": "职务教育编辑视图",
            "caption": "职务教育",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyEduEditView",
            "viewtag": "e3878971a0f023a84eb5047806090ef0"
        },
        "hrlegaleditview": {
            "title": "法人编辑视图",
            "caption": "法人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalEditView",
            "viewtag": "e50ad3e1883bafa2d6f264d44ca8ff89"
        },
        "hrorganizationpickupview": {
            "title": "组织数据选择视图",
            "caption": "组织",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "HROrganizationPickupView",
            "viewtag": "e7ba37699bd458dc8dd5c02abac8dadd"
        },
        "hrcertificateeditview": {
            "title": "证书信息编辑视图",
            "caption": "证书信息",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateEditView",
            "viewtag": "ea230b5b872ed3d5cba7daa284278299"
        },
        "hrdutypickupview": {
            "title": "职务数据选择视图",
            "caption": "职务",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRDutyPickupView",
            "viewtag": "ebcbf493e0a574cf170412456645a3a7"
        },
        "hremployeepickupview": {
            "title": "员工数据选择视图",
            "caption": "员工",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HREmployeePickupView",
            "viewtag": "ec9d9fe37bbfc3fcb623e2dc34b48dbc"
        },
        "hrcontractv_001": {
            "title": "合同信息表格视图",
            "caption": "合同信息",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRContractV_001",
            "viewtag": "ef663fe283b58da63cd423f8506fa726"
        },
        "hrpostdashboardview": {
            "title": "职位看板",
            "caption": "职位看板",
            "viewtype": "DEPORTALVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRPostDashboardView",
            "viewtag": "f03c9544f1a1107bb34a97542dde1a3e"
        },
        "hrarchivesmovegridview": {
            "title": "档案调档",
            "caption": "档案调档",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesMoveGridView",
            "viewtag": "f26c77e32eb39f0d5feda6cdd6d73f39"
        },
        "hrarchivesborrowgridview": {
            "title": "档案借阅表格视图",
            "caption": "档案借阅",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRArchivesBorrowGridView",
            "viewtag": "f31e79001d0aafc5a665b5dfeb4eea80"
        },
        "hrlegaltabexpview": {
            "title": "法人信息",
            "caption": "法人信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "HRLegalTabExpView",
            "viewtag": "f6a6d0da81100b5a69aba1b9b967b6ab"
        },
        "hrtrainingrecordgridview": {
            "title": "培训记录表格视图",
            "caption": "培训记录",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRTrainingRecordGridView",
            "viewtag": "f7c3f3a7c389106700f90b5973be3d02"
        },
        "hrtransferapplypickupgridview": {
            "title": "调动申请选择表格视图",
            "caption": "调动申请",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Pcm",
            "viewname": "HRTransferApplyPickupGridView",
            "viewtag": "fe6049b3cb31f7fee28824ad83f6221f"
        },
        "hrcertificatev_004": {
            "title": "证书",
            "caption": "证书",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "HumanResource",
            "viewname": "HRCertificateV_004",
            "viewtag": "feb5aefc4a68523cdcd6dfcb3d658e3e"
        }
    }];
});