/**
 * EF_001 部件模型
 *
 * @export
 * @class EF_001Model
 */
export default class EF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof EF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'employeeid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'employeename',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'employeename',
        prop: 'employeename',
        dataType: 'TEXT',
      },
      {
        name: 'employeecode',
        prop: 'employeecode',
        dataType: 'TEXT',
      },
      {
        name: 'empstate',
        prop: 'empstate',
        dataType: 'PICKUP',
      },
      {
        name: 'certtype',
        prop: 'certtype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'certnum',
        prop: 'certnum',
        dataType: 'TEXT',
      },
      {
        name: 'organizationname',
        prop: 'organizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'hrpostname',
        prop: 'hrpostname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'hrpostid',
        prop: 'hrpostid',
        dataType: 'PICKUP',
      },
      {
        name: 'organizationid',
        prop: 'organizationid',
        dataType: 'PICKUP',
      },
      {
        name: 'employeeid',
        prop: 'employeeid',
        dataType: 'GUID',
      },
      {
        name: 'hremployee',
        prop: 'employeeid',
        dataType: 'FONTKEY',
      },
    ]
  }

}